<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'survey',

    /*
     * Package.
     */
    'package'   => 'organisation',

    /*
     * Modules.
     */
    'modules'   => ['file', 'hierarchy', 'employee'],

    'file'       => [
        'model' => [
            'model'                 => \Survey\Organisation\Models\File::class,
            'table'                 => 'files',
            'presenter'             => \Survey\Organisation\Repositories\Presenter\FilePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'company_id',  'name',  'employee_count',  'hierarchy_count',  'status',  'uploaded_file',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'organisation/file',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Survey',
            'package'   => 'Organisation',
            'module'    => 'File',
        ],

    ],
    'hierarchy'       => [
        'model' => [
            'model'                 => \Survey\Organisation\Models\Hierarchy::class,
            'table'                 => 'hierarchies',
            'presenter'             => \Survey\Organisation\Repositories\Presenter\HierarchyPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'company_id',  'file_id',  'name',  'type',  'manager_column',  'additional_attribute',  'non_managerial_type',  'levels',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'organisation/hierarchy',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Survey',
            'package'   => 'Organisation',
            'module'    => 'Hierarchy',
        ],

    ],
    'employee'       => [
        'model' => [
            'model'                 => \Survey\Organisation\Models\Employee::class,
            'table'                 => 'employees',
            'presenter'             => \Survey\Organisation\Repositories\Presenter\EmployeePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'company_id',  'file_id',  'manager_id',  'name',  'last_name',  'email',  'gender',  'ethnicity',  'overall_node',  'region',  'country',  'location_group',  'location',  'performance',  'bonus_class',  'emp_class',  'tenure',  'people_manager',  'generation',  'position',  'job_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'organisation/employee',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Survey',
            'package'   => 'Organisation',
            'module'    => 'Employee',
        ],

    ],
];
