<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateEmployeesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: employees
         */
        Schema::create('employees', function ($table) {
            $table->increments('id');
            $table->integer('company_id')->nullable();
            $table->integer('file_id')->nullable();
            $table->integer('manager_id')->nullable();
            $table->string('name', 255)->nullable();
            $table->string('last_name', 100)->nullable();
            $table->string('email', 100)->nullable();
            $table->string('gender', 50)->nullable();
            $table->string('ethnicity', 100)->nullable();
            $table->string('overall_node', 100)->nullable();
            $table->string('region', 100)->nullable();
            $table->string('country', 100)->nullable();
            $table->string('location_group', 100)->nullable();
            $table->string('location', 100)->nullable();
            $table->string('performance', 100)->nullable();
            $table->string('bonus_class', 100)->nullable();
            $table->string('emp_class', 100)->nullable();
            $table->string('tenure', 100)->nullable();
            $table->enum('people_manager', ['Yes','No'])->nullable();
            $table->string('generation', 100)->nullable();
            $table->string('position', 100)->nullable();
            $table->string('job_type', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('employees');
    }
}
