<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateFilesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: files
         */
        Schema::create('files', function ($table) {
            $table->increments('id');
            $table->integer('company_id')->nullable();
            $table->string('name', 255)->nullable();
            $table->integer('employee_count')->nullable();
            $table->integer('hierarchy_count')->nullable();
            $table->enum('status', ['Uploaded','Pending'])->nullable();
            $table->text('uploaded_file')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('files');
    }
}
