<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateHierarchiesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: hierarchies
         */
        Schema::create('hierarchies', function ($table) {
            $table->increments('id');
            $table->integer('company_id')->nullable();
            $table->integer('file_id')->nullable();
            $table->string('name', 255)->nullable();
            $table->enum('type', ['Managerial','Non-Managerial'])->nullable();
            $table->string('manager_column', 100)->nullable();
            $table->string('additional_attribute', 100)->nullable();
            $table->string('non_managerial_type', 100)->nullable();
            $table->longText('levels')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('hierarchies');
    }
}
