<?php

// API routes  for file
Route::prefix('{guard}/organisation')->group(function () {
    Route::get('file/form/{element}', 'FileAPIController@form');
    Route::resource('file', 'FileAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for organisations
            Route::prefix('{guard}/organisation')->group(function () {
                Route::get('file/form/{element}', 'FileAPIController@form');
                Route::apiResource('file', 'FileAPIController');
            });
            // Public routes for organisations
            Route::get('organisation/File', 'FilePublicController@getFile');
        }
    );
}

// API routes  for hierarchy
Route::prefix('{guard}/organisation')->group(function () {
    Route::get('hierarchy/form/{element}', 'HierarchyAPIController@form');
    Route::resource('hierarchy', 'HierarchyAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for organisations
            Route::prefix('{guard}/organisation')->group(function () {
                Route::get('hierarchy/form/{element}', 'HierarchyAPIController@form');
                Route::apiResource('hierarchy', 'HierarchyAPIController');
            });
            // Public routes for organisations
            Route::get('organisation/Hierarchy', 'HierarchyPublicController@getHierarchy');
        }
    );
}

// API routes  for employee
Route::prefix('{guard}/organisation')->group(function () {
    Route::get('employee/form/{element}', 'EmployeeAPIController@form');
    Route::resource('employee', 'EmployeeAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for organisations
            Route::prefix('{guard}/organisation')->group(function () {
                Route::get('employee/form/{element}', 'EmployeeAPIController@form');
                Route::apiResource('employee', 'EmployeeAPIController');
            });
            // Public routes for organisations
            Route::get('organisation/Employee', 'EmployeePublicController@getEmployee');
        }
    );
}

