<?php

// web routes  for file
Route::prefix('{guard}/organisation')->group(function () {
    Route::resource('file', 'FileResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'FileResourceController');
            });
            // Public routes for pages
            Route::get('organisations/', 'FilePublicController@index');
            Route::get('organisations/{slug?}', 'FilePublicController@show');
        }
    );
}

// web routes  for hierarchy
Route::prefix('{guard}/organisation')->group(function () {
    Route::resource('hierarchy', 'HierarchyResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'HierarchyResourceController');
            });
            // Public routes for pages
            Route::get('organisations/', 'HierarchyPublicController@index');
            Route::get('organisations/{slug?}', 'HierarchyPublicController@show');
        }
    );
}

// web routes  for employee
Route::prefix('{guard}/organisation')->group(function () {
    Route::resource('employee', 'EmployeeResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'EmployeeResourceController');
            });
            // Public routes for pages
            Route::get('organisations/', 'EmployeePublicController@index');
            Route::get('organisations/{slug?}', 'EmployeePublicController@show');
        }
    );
}

