<?php

namespace Survey\Organisation\Forms;

class Hierarchy
{
    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $form;

    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $element;

    /**
     * Initialize the form.
     *
     * @return null
     */
    public function __construct()
    {
        $this->setForm();
    }

    /**
     * Return form elements.
     *
     * @return array.
     */
    public function form($element = 'fields', $grouped = true)
    {
        $item = collect($this->form->get($element));
        if ($element == 'fields' && $grouped == true) {
            return $item->groupBy(['group', 'section']);
        }
        return $item;

    }

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public function setForm()
    {
        $this->form = collect([
            'form' => [
                'store' => [],
                'update' => [],
            ],
            'groups' => [
                'main' => 'Main',
            ],
            'fields' => [
                'company_id' => [
                    "type" => 'numeric',
                    "label" => trans('organisation::hierarchy.label.company_id'),
                    "placeholder" => trans('organisation::hierarchy.placeholder.company_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'file_id' => [
                    "type" => 'numeric',
                    "label" => trans('organisation::hierarchy.label.file_id'),
                    "placeholder" => trans('organisation::hierarchy.placeholder.file_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'name' => [
                    "type" => 'text',
                    "label" => trans('organisation::hierarchy.label.name'),
                    "placeholder" => trans('organisation::hierarchy.placeholder.name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'type' => [
                    "type" => 'radios',
                    "label" => trans('organisation::hierarchy.label.type'),
                    "placeholder" => trans('organisation::hierarchy.placeholder.type'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'manager_column' => [
                    "type" => 'text',
                    "label" => trans('organisation::hierarchy.label.manager_column'),
                    "placeholder" => trans('organisation::hierarchy.placeholder.manager_column'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'additional_attribute' => [
                    "type" => 'text',
                    "label" => trans('organisation::hierarchy.label.additional_attribute'),
                    "placeholder" => trans('organisation::hierarchy.placeholder.additional_attribute'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'non_managerial_type' => [
                    "type" => 'text',
                    "label" => trans('organisation::hierarchy.label.non_managerial_type'),
                    "placeholder" => trans('organisation::hierarchy.placeholder.non_managerial_type'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'levels' => [
                    "type" => 'html_editor',
                    "label" => trans('organisation::hierarchy.label.levels'),
                    "placeholder" => trans('organisation::hierarchy.placeholder.levels'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
            ]
        );

    }
}
