<?php

namespace Survey\Organisation;

use User;

class Organisation
{
    /**
     * $file object.
     */
    protected $file;    /**
     * $hierarchy object.
     */
    protected $hierarchy;    /**
     * $employee object.
     */
    protected $employee;

    /**
     * Constructor.
     */
    public function __construct(\Survey\Organisation\Interfaces\FileRepositoryInterface $file,        \Survey\Organisation\Interfaces\HierarchyRepositoryInterface $hierarchy,        \Survey\Organisation\Interfaces\EmployeeRepositoryInterface $employee)
    {
        $this->file = $file;        $this->hierarchy = $hierarchy;        $this->employee = $employee;
    }

    /**
     * Returns count of organisation.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.file.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->file->pushCriteria(new \Litepie\Survey\Repositories\Criteria\FileUserCriteria());
        }

        $file = $this->file->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('organisation::' . $view, compact('file'))->render();
    }    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.hierarchy.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->hierarchy->pushCriteria(new \Litepie\Survey\Repositories\Criteria\HierarchyUserCriteria());
        }

        $hierarchy = $this->hierarchy->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('organisation::' . $view, compact('hierarchy'))->render();
    }    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.employee.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->employee->pushCriteria(new \Litepie\Survey\Repositories\Criteria\EmployeeUserCriteria());
        }

        $employee = $this->employee->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('organisation::' . $view, compact('employee'))->render();
    }
}
