<?php

namespace Survey\Organisation\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class EmployeeTransformer extends TransformerAbstract
{
    public function transform(\Survey\Organisation\Models\Employee $employee)
    {
        return [
            'id'                => $employee->getRouteKey(),
            'key'               => [
                'public'    => $employee->getPublicKey(),
                'route'     => $employee->getRouteKey(),
            ], 
            'company_id'        => $employee->company_id,
            'file_id'           => $employee->file_id,
            'manager_id'        => $employee->manager_id,
            'name'              => $employee->name,
            'last_name'         => $employee->last_name,
            'email'             => $employee->email,
            'gender'            => $employee->gender,
            'ethnicity'         => $employee->ethnicity,
            'overall_node'      => $employee->overall_node,
            'region'            => $employee->region,
            'country'           => $employee->country,
            'location_group'    => $employee->location_group,
            'location'          => $employee->location,
            'performance'       => $employee->performance,
            'bonus_class'       => $employee->bonus_class,
            'emp_class'         => $employee->emp_class,
            'tenure'            => $employee->tenure,
            'people_manager'    => $employee->people_manager,
            'generation'        => $employee->generation,
            'position'          => $employee->position,
            'job_type'          => $employee->job_type,
            'deleted_at'        => $employee->deleted_at,
            'url'               => [
                'public'    => trans_url('organisation/'.$employee->getPublicKey()),
                'user'      => guard_url('organisation/employee/'.$employee->getRouteKey()),
            ], 
            'status'            => trans('app.'.$employee->status),
            'created_at'        => format_date($employee->created_at),
            'updated_at'        => format_date($employee->updated_at),
        ];
    }
}