<?php

namespace Survey\Organisation\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class FileTransformer extends TransformerAbstract
{
    public function transform(\Survey\Organisation\Models\File $file)
    {
        return [
            'id'                => $file->getRouteKey(),
            'key'               => [
                'public'    => $file->getPublicKey(),
                'route'     => $file->getRouteKey(),
            ], 
            'company_id'        => $file->company_id,
            'name'              => $file->name,
            'employee_count'    => $file->employee_count,
            'hierarchy_count'   => $file->hierarchy_count,
            'uploaded_file'     => $file->uploaded_file,
            'deleted_at'        => $file->deleted_at,
            'url'               => [
                'public'    => trans_url('organisation/'.$file->getPublicKey()),
                'user'      => guard_url('organisation/file/'.$file->getRouteKey()),
            ], 
            'status'            => trans('app.'.$file->status),
            'created_at'        => format_date($file->created_at),
            'updated_at'        => format_date($file->updated_at),
        ];
    }
}