<?php

namespace Survey\Organisation\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class HierarchyTransformer extends TransformerAbstract
{
    public function transform(\Survey\Organisation\Models\Hierarchy $hierarchy)
    {
        return [
            'id'                => $hierarchy->getRouteKey(),
            'key'               => [
                'public'    => $hierarchy->getPublicKey(),
                'route'     => $hierarchy->getRouteKey(),
            ], 
            'company_id'        => $hierarchy->company_id,
            'file_id'           => $hierarchy->file_id,
            'name'              => $hierarchy->name,
            'type'              => $hierarchy->type,
            'manager_column'    => $hierarchy->manager_column,
            'additional_attribute' => $hierarchy->additional_attribute,
            'non_managerial_type' => $hierarchy->non_managerial_type,
            'levels'            => $hierarchy->levels,
            'deleted_at'        => $hierarchy->deleted_at,
            'url'               => [
                'public'    => trans_url('organisation/'.$hierarchy->getPublicKey()),
                'user'      => guard_url('organisation/hierarchy/'.$hierarchy->getRouteKey()),
            ], 
            'status'            => trans('app.'.$hierarchy->status),
            'created_at'        => format_date($hierarchy->created_at),
            'updated_at'        => format_date($hierarchy->updated_at),
        ];
    }
}